import * as React from 'react';
import { ImageBackground, Keyboard, TouchableWithoutFeedback } from 'react-native';
import LinearGradient from 'react-native-linear-gradient';
import { useTheme } from '../services/ThemeContext';
export const BackgroundImage = ({ branding, content, enableTouch = true, onPress = () => Keyboard.dismiss() }) => {
    const src = branding.backgroundImage;
    const theme = useTheme();
    const imageBackground = () => {
        return (React.createElement(ImageBackground, { source: src, style: styles.backgroundImage }, content));
    };
    const gradientBackground = () => {
        return (React.createElement(LinearGradient, { style: styles.backgroundImage, start: theme.backgroundGradientStart, end: theme.backgroundGradientEnd, colors: theme.backgroundGradientColors }, content));
    };
    const componentBackground = src ? imageBackground() : gradientBackground();
    if (enableTouch) {
        return (React.createElement(TouchableWithoutFeedback, { onPress: onPress }, componentBackground));
    }
    return componentBackground;
};
const styles = {
    backgroundImage: {
        flex: 1,
        width: '100%',
        height: '100%',
        alignItems: 'center'
    }
};
