import * as React from 'react';
interface Props {
    value: string;
    error?: string;
    valid?: string;
    label?: string;
    clearIcon?: boolean;
    marginRem?: number | number[];
    multiline?: boolean;
    searchIcon?: boolean;
    showSpinner?: boolean;
    onBlur?: () => void;
    onChangeText?: (text: string) => void;
    onClear?: () => void;
    onFocus?: () => void;
    onHidePassword?: () => void;
    autoCapitalize?: 'none' | 'sentences' | 'words' | 'characters';
    autoCorrect?: boolean;
    blurOnSubmit?: boolean;
    inputAccessoryViewID?: string;
    keyboardType?: 'default' | 'number-pad' | 'decimal-pad' | 'numeric' | 'email-address' | 'phone-pad';
    maxLength?: number;
    onSubmitEditing?: () => void;
    returnKeyType?: 'done' | 'go' | 'next' | 'search' | 'send';
    secureTextEntry?: boolean;
    hidePassword?: boolean;
    testID?: string;
    autoFocus?: boolean;
    blurOnClear?: boolean;
}
/**
 * Type definitions for our static methods.
 * Create a ref object using `useRef<OutlinedTextInputRef>(null)` or
 * `const ref: { current: OutlinedTextInputRef | null } = createRef()`
 */
declare class OutlinedTextInputRef {
    focus: () => void;
    blur: () => void;
    isFocused: () => boolean;
    clear: () => void;
}
export declare const OutlinedTextInput: React.ForwardRefExoticComponent<Props & React.RefAttributes<OutlinedTextInputRef>>;
export {};
